Package org.gradle.tooling.events

# Interface ScriptPluginIdentifier

All Superinterfaces:
  `PluginIdentifier`

public interface ScriptPluginIdentifier extends PluginIdentifier
Identifies a Gradle script plugin.

Since:
  5.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `URI`
  `getUri()`
  Returns the URI of this script plugin.

  ### Methods inherited from interface org.gradle.tooling.events.PluginIdentifier

  `getDisplayName`

- ## Method Details

  - ### getUri

    URI getUri()
    Returns the URI of this script plugin.

    The URI may point to the local file system or a remote server.